<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/theme_primary"
    android:paddingTop="@dimen/app_bar_top_padding"
    android:fillViewport="true">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingTop="@dimen/activity_vertical_margin"
        android:paddingBottom="@dimen/activity_vertical_margin"
        android:paddingLeft="@dimen/activity_horizontal_margin"
        android:orientation="vertical"
        android:gravity="center_horizontal"
        android:paddingRight="@dimen/activity_horizontal_margin">

        <ImageView
            android:layout_height="wrap_content"
            android:layout_marginBottom="50dp"
            android:layout_marginTop="50dp"
            android:src="@drawable/eiru"
            android:tint="#ffffff"
            android:adjustViewBounds="false"
            android:layout_width="wrap_content" />

        <LinearLayout
            android:id="@+id/controls"
            android:layout_width="match_parent"
            android:orientation="vertical"
            android:layout_height="wrap_content">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/login_signup_control_bg"
                android:orientation="vertical">

                <!-- Self Hosted URL Input -->
                <LinearLayout
                    android:id="@+id/layoutSelfHosted"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center_horizontal"
                    android:orientation="horizontal"
                    android:padding="10dp" >

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_marginRight="5dp"
                        android:src="@drawable/ic_action_universe"
                        android:tint="@color/body_text_3" />

                    <EditText
                        android:id="@+id/edtSelfHostedURL"
                        android:text="192.168.100.141:22000"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_gravity="center_vertical"
                        android:layout_weight="1"
                        android:background="#ffffff"
                        android:fontFamily="@string/font_light"
                        android:gravity="center_vertical"
                        android:hint="@string/label_your_self_hosted_url"
                        android:maxLines="1"
                        android:textAppearance="?android:attr/textAppearanceMedium"
                        android:textColorHint="@color/body_text_3" />

                    <ProgressBar
                        android:id="@+id/serverURLCheckProgress"
                        android:layout_width="24dp"
                        android:layout_height="24dp"
                        android:layout_gravity="center_vertical"
                        android:visibility="gone" />

                    <ImageView
                        android:id="@+id/imgValidURL"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_marginRight="5dp"
                        android:src="@drawable/ic_action_done"
                        android:tint="@color/theme_primary"
                        android:visibility="gone" />
                </LinearLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:background="@color/theme_primary_dark" />

                <!-- Database input -->
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center_horizontal"
                    android:orientation="horizontal"
                    android:padding="10dp">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_marginRight="5dp"
                        android:src="@drawable/ic_action_database"
                        android:tint="@color/body_text_3" />
                    
                    <EditText
                        android:id="@+id/edtDatabaseName"
                        android:text="odoo"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_gravity="center_vertical"
                        android:background="#ffffff"
                        android:fontFamily="sans-serif-ligth"
                        android:gravity="center_vertical"
                        android:hint="@string/label_database_name"
                        android:maxLines="1"
                        android:textAppearance="?android:attr/textAppearanceMedium"
                        android:textColorHint="@color/body_text_3"/>
                </LinearLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:background="@color/theme_primary_dark" />

                <!-- Username Input -->
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center_horizontal"
                    android:orientation="horizontal"
                    android:padding="10dp">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_marginRight="5dp"
                        android:src="@drawable/ic_action_user"
                        android:tint="@color/body_text_3" />

                    <EditText
                        android:id="@+id/edtUserName"
                        android:text="admin"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_gravity="center_vertical"
                        android:background="#ffffff"
                        android:fontFamily="@string/font_light"
                        android:gravity="center_vertical"
                        android:hint="@string/label_username_or_email"
                        android:maxLines="1"
                        android:textAppearance="?android:attr/textAppearanceMedium"
                        android:textColorHint="@color/body_text_3" />
                </LinearLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:background="@color/theme_primary_dark" />

                <!-- User Password Input -->
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center_horizontal"
                    android:orientation="horizontal"
                    android:padding="10dp">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_marginRight="5dp"
                        android:src="@drawable/ic_action_lock"
                        android:tint="@color/body_text_3" />

                    <EditText
                        android:id="@+id/edtPassword"
                        android:text="admin"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_gravity="center_vertical"
                        android:background="#ffffff"
                        android:fontFamily="@string/font_light"
                        android:gravity="center_vertical"
                        android:hint="@string/label_password"
                        android:inputType="textPassword"
                        android:maxLines="1"
                        android:textAppearance="?android:attr/textAppearanceMedium"
                        android:textColorHint="@color/body_text_3" />
                </LinearLayout>

            </LinearLayout>

            <Button
                android:id="@+id/btnLogin"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="5dp"
                android:layout_marginLeft="5dp"
                android:layout_marginRight="5dp"
                android:layout_marginTop="15dp"
                android:background="@drawable/login_signup_button"
                android:fontFamily="@string/font_light"
                android:text="@string/label_accept_login"
                android:textColor="#fff" />

        </LinearLayout>

        <LinearLayout
            android:id="@+id/login_progress"
            android:orientation="vertical"
            android:visibility="gone"
            android:layout_marginTop="60dp"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <TextView
                android:id="@+id/login_process_status"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="10dp"
                android:fontFamily="@string/font_light"
                android:gravity="center"
                android:padding="10dp"
                android:textAppearance="?android:attr/textAppearanceMedium"
                android:textColor="@color/body_text_1_inverse" />

            <ProgressBar
                android:layout_marginTop="20dp"
                style="?android:attr/progressBarStyleHorizontal"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:indeterminate="true" />

        </LinearLayout>

    </LinearLayout>


</ScrollView>
